View Issue Details

This bug affects 2 person(s).
 12
IDProjectCategoryView StatusLast Update
17224Bug reportsErgonomypublic2021-11-26 16:15
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status assignedResolutionfixed 
Product Version3.25.20 
Summary17224: When entering an invalid email when create token : lost all information
DescriptionSee Summary

It's really hard to see all data deleted
Steps To ReproduceImport lss
Activate token
Add a single token
Enter something in firstname + lastname + attribute
Enter an invalid email
Save
All data are removed
Additional InformationSee screencast


Remind : must fix at server part + at client part (client : it's easy type=email multiple)
TagsNo tags attached.
Bug heat12
Complete LimeSurvey version number (& build)3.25.20
I will donate to the project if issue is resolvedNo
Browsernot relevant ?
Database type & versionnot relevant?
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant ?

Relationships

related to 17223 assignedgabrieljenik With mandatory attribute : lost all current value when create a token 
related to 15712 closedgabrieljenik When doing error in token create : unable to submit, need to reload page 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-04-01 17:03

developer  

Peek 01-04-2021 16-32.gif (394,081 bytes)
limesurvey_survey_tokenUsage.lss (34,759 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>365</DBVersion>
 <languages>
  <language>fr</language>
 </languages>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[985]]></gid>
    <sid><![CDATA[775734]]></sid>
    <group_name><![CDATA[test]]></group_name>
    <group_order><![CDATA[1]]></group_order>
    <description/>
    <language><![CDATA[fr]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <gid><![CDATA[986]]></gid>
    <sid><![CDATA[775734]]></sid>
    <group_name><![CDATA[2ndgroup]]></group_name>
    <group_order><![CDATA[2]]></group_order>
    <description/>
    <language><![CDATA[fr]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[8351]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[;]]></type>
    <title><![CDATA[RejAcqSubstceModif]]></title>
    <question><![CDATA[<p><span style="font-size:20px;"><span style="font-family:arial, helvetica, sans-serif;">Q3.2.4 Décrivez les substances concernées par la modification (nouvelles ou dont les conditions de rejet sont modifiées en valeurs limites d’émissions (VLE) ou en périodicité). S'il n'y a aucune modification sur ce sujet, passez au point suivant.</span></span></p>
]]></question>
    <preg/>
    <help><![CDATA[<span style="font-size:14px;"><span style="font-family:arial, helvetica, sans-serif;">(1) Voir la référence du code sandre associé au paramètre dans l’arrêté ministériel.</span></span>
<p><span style="font-size:14px;"><span style="font-family:arial, helvetica, sans-serif;">(2) Répondre par oui, non ou cette valeur n’existe pas dans mon arrêté préfectoral. Si, pour au moins un des paramètres, la réponse est « oui » ou « n’existe pas », joindre à votre dossier le tableau de positionnement valant programme de surveillance par secteur d’activité accessible sur le site Internet de la DREAL (<a href="http://www.bourgogne-franche-comte.developpement-durable.gouv.fr/les-rejets-de-substances-dangereuses-dans-l-eau-a7210.html">http://www.bourgogne-franche-comte.developpement-durable.gouv.fr/les-rejets-de-substances-dangereuses-dans-l-eau-a7210.html</a>).</span></span></p>
]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[0]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance/>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8352]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[986]]></gid>
    <type><![CDATA[|]]></type>
    <title><![CDATA[testtableau]]></title>
    <question><![CDATA[{if(RejAcqSubstceModif_SQY01_ParaSubstce.NAOK and is_empty(RejAcqSubstceModif_SQY02_ParaSubstce),'<div class="q-answer"><table border="1" cellpadding="1" cellspacing="1" style="width:1000px;"><thead><tr><th style="text-align:center;">Paramètre ou substance</th><th style="text-align:center;">Code sandre (1)</th><th style="text-align:center;">S’agit-il d’un nouveau paramètre/d’une nouvelle substance au regard des prescriptions de l’AP ?</th><th style="text-align:center;">VLE en concentration réglementaire à modifier ? (2)</th><th style="text-align:center;">VLE en flux à modifier ? (2)</th><th style="text-align:center;"><strong>Autosurveillance à modifier ?  2)</strong></th></tr></thead><tbody><tr><td>{RejAcqSubstceModif_SQY01_ParaSubstce}</td><td>{RejAcqSubstceModif_SQY01_CdeSandre}</td><td>{RejAcqSubstceModif_SQY01_NvxParaSbstceAP}</td><td>{RejAcqSubstceModif_SQY01_VLEConcentration}</td><td>{RejAcqSubstceModif_SQY01_VLEConcentration}</td><td> </td></tr></tbody></table></div>','')}

{if(RejAcqSubstceModif_SQY02_ParaSubstce.NAOK and is_empty(RejAcqSubstceModif_SQY03_ParaSubstce),'<div class="q-answer"><table border="1" cellpadding="1" cellspacing="1" style="width:1000px;"><thead><tr><th style="text-align:center;">Paramètre ou substance</th><th style="text-align:center;">Code sandre (1)</th><th style="text-align:center;">S’agit-il d’un nouveau paramètre/d’une nouvelle substance au regard des prescriptions de l’AP ?</th><th style="text-align:center;">VLE en concentration réglementaire à modifier ? (2)</th><th style="text-align:center;">VLE en flux à modifier ? (2)</th><th style="text-align:center;"><strong>Autosurveillance à modifier ?  2)</strong></th></tr></thead><tbody><tr><td>{RejAcqSubstceModif_SQY01_ParaSubstce}</td><td>{RejAcqSubstceModif_SQY01_CdeSandre}</td><td>{RejAcqSubstceModif_SQY01_NvxParaSbstceAP}</td><td>{RejAcqSubstceModif_SQY01_VLEConcentration}</td><td>{RejAcqSubstceModif_SQY01_VLEConcentration}</td><td> </td></tr><tr><td>{RejAcqSubstceModif_SQY02_ParaSubstce}</td><td>{RejAcqSubstceModif_SQY02_CdeSandre}</td><td>{RejAcqSubstceModif_SQY02_NvxParaSbstceAP}</td><td>{RejAcqSubstceModif_SQY02_VLEConcentration}</td><td>{RejAcqSubstceModif_SQY02_VLEConcentration}</td><td> </td></tr></tbody></table></div>','')}]]></question>
    <preg/>
    <help><![CDATA[Peut (bien sur) être masquée]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[0]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[8353]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQY01]]></title>
    <question/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8354]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQY02]]></title>
    <question/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[!is_empty(RejAcqSubstceModif_SQY01_ParaSubstce)]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8355]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQY03]]></title>
    <question/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[!is_empty(RejAcqSubstceModif_SQY02_ParaSubstce)]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8356]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQY04]]></title>
    <question/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[4]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[!is_empty(RejAcqSubstceModif_SQY03_ParaSubstce)]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8357]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQY05]]></title>
    <question/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[5]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[!is_empty(RejAcqSubstceModif_SQY04_ParaSubstce)]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8358]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[ParaSubstce]]></title>
    <question><![CDATA[ Paramètre ou substance]]></question>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[1]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8359]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[CdeSandre]]></title>
    <question><![CDATA[ Code sandre (1)]]></question>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[1]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8360]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[NvxParaSbstceAP]]></title>
    <question><![CDATA[ S’agit-il d’un nouveau paramètre/d’une nouvelle substance au regard des prescriptions de l’AP ?]]></question>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[1]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8361]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[VLEConcentration]]></title>
    <question><![CDATA[ VLE en concentration réglementaire à modifier ? (2)]]></question>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[4]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[1]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8362]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[VLEFlux]]></title>
    <question><![CDATA[VLE en flux à modifier ? (2)]]></question>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[5]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[1]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[8363]]></qid>
    <parent_qid><![CDATA[8351]]></parent_qid>
    <sid><![CDATA[775734]]></sid>
    <gid><![CDATA[985]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[Autosurv]]></title>
    <question><![CDATA[ Autosurveillance à modifier ? (2)]]></question>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[6]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[1]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </subquestions>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[8352]]></qid>
    <attribute><![CDATA[pdfReportSubTitle]]></attribute>
    <value><![CDATA[{SURVEYNAME}]]></value>
    <language><![CDATA[fr]]></language>
   </row>
   <row>
    <qid><![CDATA[8352]]></qid>
    <attribute><![CDATA[pdfReportTitle]]></attribute>
    <value><![CDATA[{SITENAME}]]></value>
    <language><![CDATA[fr]]></language>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[775734]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[Administrator]]></admin>
    <adminemail><![CDATA[contact@sondages.pro]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[G]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[extends1_skelvanilla]]></template>
    <language><![CDATA[fr]]></language>
    <additional_languages/>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[Y]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[Y]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[1]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[N]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[contact@sondages.pro]]></bounce_email>
    <attributedescriptions><![CDATA[{"attribute_1":{"description":"Mandatory attribute","mandatory":"Y","show_register":"N","cpdbmap":""}}]]></attributedescriptions>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[Y]]></showxquestions>
    <showgroupinfo><![CDATA[B]]></showgroupinfo>
    <shownoanswer><![CDATA[N]]></shownoanswer>
    <showqnumcode><![CDATA[X]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[Y]]></showwelcome>
    <showprogress><![CDATA[Y]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
    <googleanalyticsstyle/>
    <googleanalyticsapikey/>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[775734]]></surveyls_survey_id>
    <surveyls_language><![CDATA[fr]]></surveyls_language>
    <surveyls_title><![CDATA[cddd]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_policy_notice><![CDATA[<p>Message concernant la protection des données du questionnaire :</p>

<p>Message concernant la protection des données du questionnaire :</p>

<p>Message concernant la protection des données du questionnaire :</p>
]]></surveyls_policy_notice>
    <surveyls_policy_error><![CDATA[ Message d‘erreur de la politique de confidentialité des données du questionnaire : ]]></surveyls_policy_error>
    <surveyls_policy_notice_label><![CDATA[Étiquette]]></surveyls_policy_notice_label>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation à participer à un questionnaire]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Cher(e) {FIRSTNAME},<br /><br />
Vous avez été invité(e) à participer à un questionnaire.<br /><br />
Celui-ci est intitulé :<br />
"{SURVEYNAME}"<br /><br />
"{SURVEYDESCRIPTION}"<br /><br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br /><br />
Cordialement,<br /><br />
{ADMINNAME} ({ADMINEMAIL})<br /><br />
----------------------------------------------<br />
Cliquez ici pour remplir ce questionnaire :<br />
{SURVEYURL}<br /><br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}<br /><br />
Si vous êtes sur liste noire mais que vous voulez participer à ce questionnaire et recevoir les invitations, merci de cliquer sur le lien suivant :<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Rappel pour participer à un questionnaire]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Cher(e) {FIRSTNAME},<br /><br />
Vous avez été invité(e) à participer à un questionnaire récemment.<br /><br />
Nous avons pris en compte que vous n’avez pas encore complété le questionnaire, et nous vous rappelons que celui-ci est toujours disponible si vous souhaitez participer.<br /><br />
Le questionnaire est intitulé :<br />
"{SURVEYNAME}"<br /><br />
"{SURVEYDESCRIPTION}"<br /><br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br /><br />
Cordialement,<br /><br />
{ADMINNAME} ({ADMINEMAIL})<br /><br />
----------------------------------------------<br />
Cliquez ici pour faire le questionnaire :<br />
{SURVEYURL}<br /><br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Confirmation d’enregistrement pour le questionnaire]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Bonjour {FIRSTNAME},<br /><br />
Vous (ou quelqu’un utilisant votre adresse électronique) vous êtes enregistré pour participer à un questionnaire en ligne intitulé {SURVEYNAME}.<br /><br />
Pour compléter ce questionnaire, cliquez sur le lien suivant :<br />
{SURVEYURL}<br /><br />
Si vous avez des questions à propos de ce questionnaire, ou si vous ne vous êtes pas enregistré pour participer à celui-ci et croyez que ce message est une erreur, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation de votre participation à notre questionnaire]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Bonjour {FIRSTNAME},<br /><br />
Ce message vous confirme que vous avez complété le questionnaire intitulé {SURVEYNAME} et que votre réponse a été enregistrée. Merci pour votre participation.<br /><br />
Si vous avez des questions à propos de ce message, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}.<br /><br />
Cordialement,<br /><br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <surveyls_attributecaptions><![CDATA[{"attribute_1":""}]]></surveyls_attributecaptions>
    <email_admin_notification_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Bonjour,<br /><br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br /><br />
Cliquez sur le lien suivant pour voir la réponse :<br />
{VIEWRESPONSEURL}<br /><br />
Cliquez sur le lien suivant pour éditer la réponse :<br />
{EDITRESPONSEURL}<br /><br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME} avec résultats]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Bonjour,<br /><br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br /><br />
Cliquez sur le lien suivant pour voir cette réponse :<br />
{VIEWRESPONSEURL}<br /><br />
Cliquez sur le lien suivant pour éditer cette réponse individuelle :<br />
{EDITRESPONSEURL}<br /><br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}<br /><br /><br />
Les réponses suivantes ont été données par le participant :<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>775734</sid>
   <template_name>extends1_skelvanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>775734</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>775734</sid>
   <template_name>extends1_skelvanilla</template_name>
   <config>
    <options>
     <hideprivacyinfo>off</hideprivacyinfo>
     <container>on</container>
     <questionhtag>off</questionhtag>
     <brandlogo>off</brandlogo>
     <brandlogofile>./files/logo.png</brandlogofile>
     <brandlogoasbanner>off</brandlogoasbanner>
     <surveylistlogo>on</surveylistlogo>
     <surveylistlogofile>./files/survey_list_header.png</surveylistlogofile>
     <poweredlogo>on</poweredlogo>
     <poweredlogofile>./files/poweredby.png</poweredlogofile>
     <poweredlink>https://sondages.pro</poweredlink>
     <poweredtext>Theme by Sondages Pro</poweredtext>
     <questioncolor>primary</questioncolor>
     <questionwrap>none</questionwrap>
     <questionsize>h4</questionsize>
     <helpcolor>text-info</helpcolor>
     <validitycolor>text-info</validitycolor>
     <fixedheader>off</fixedheader>
     <headercontainer>off</headercontainer>
     <titlelocation>header</titlelocation>
     <theme>css/variations/flatly-button_awesome.min.css</theme>
     <bodyloaded>on</bodyloaded>
     <removeback>on</removeback>
     <fixnumauto>disable</fixnumauto>
     <dynamicvalidity>off</dynamicvalidity>
     <savelink>on</savelink>
     <clearalllink>on</clearalllink>
     <indexlink>on</indexlink>
     <languagelink>on</languagelink>
     <previouslink>off</previouslink>
     <nextsubmitlink>off</nextsubmitlink>
     <showclearall>on</showclearall>
     <tableheader>on</tableheader>
     <availablevariations>{
  &quot;contrast&quot;: {
    &quot;name&quot;: &quot;Contrast&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;bootstrap&quot;: {
    &quot;name&quot;: &quot;Bootstrap&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cerulean&quot;: {
    &quot;name&quot;: &quot;Cerulean&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cosmo&quot;: {
    &quot;name&quot;: &quot;Cosmo&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cyborg&quot;: {
    &quot;name&quot;: &quot;Cyborg&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;darkly&quot;: {
    &quot;name&quot;: &quot;Darkly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;flatly&quot;: {
    &quot;name&quot;: &quot;Flatly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;journal&quot;: {
    &quot;name&quot;: &quot;Journal&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;lumen&quot;: {
    &quot;name&quot;: &quot;Lumen&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;paper&quot;: {
    &quot;name&quot;: &quot;Paper&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;readable&quot;: {
    &quot;name&quot;: &quot;Readable&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;sandstone&quot;: {
    &quot;name&quot;: &quot;Sandstone&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;simplex&quot;: {
    &quot;name&quot;: &quot;Simplex&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;slate&quot;: {
    &quot;name&quot;: &quot;Slate&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;spacelab&quot;: {
    &quot;name&quot;: &quot;Spacelab&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;superhero&quot;: {
    &quot;name&quot;: &quot;Superhero&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;united&quot;: {
    &quot;name&quot;: &quot;United&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;yeti&quot;: {
    &quot;name&quot;: &quot;Yeti&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-apple_blossom&quot;: {
    &quot;name&quot;: &quot;(Fruity) Apple Blossom&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-black_pearl&quot;: {
    &quot;name&quot;: &quot;(Fruity) Black Pearl&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-free_magenta&quot;: {
    &quot;name&quot;: &quot;(Fruity) Free magenta&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-purple_tentacle&quot;: {
    &quot;name&quot;: &quot;(Fruity) Purple Tentacle&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sea_green&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sea Green&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-skyline_blue&quot;: {
    &quot;name&quot;: &quot;(Fruity) Skyline Blue&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sunset_orange&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sunset Orange&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  }
}</availablevariations>
     <descriptiondisplay>welcome</descriptiondisplay>
    </options>
   </config>
  </theme>
  <theme>
   <sid>775734</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <brandlogofile>./files/logo.png</brandlogofile>
     <font>noto</font>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
Mazi

Mazi

2021-10-07 12:44

partner   ~66789

@galads, can you still reproduce this?
gabrieljenik

gabrieljenik

2021-10-12 15:12

manager   ~66836

We will need to turn the submit from being a regular form post to an ajax request.
@ollehar is it ok to do that approach?
gabrieljenik

gabrieljenik

2021-10-22 14:17

manager   ~66912

PR LTS: https://github.com/LimeSurvey/LimeSurvey/pull

Changed the control type as Denis suggested.
Server side didn't find as needed.

Turning everything to AJAX may eventually be needed as for better validations, but maybe doesn't worth it on LTS.
DenisChenu

DenisChenu

2021-10-22 17:13

developer   ~66914

https://github.com/LimeSurvey/LimeSurvey/pull/2111
DenisChenu

DenisChenu

2021-10-22 17:14

developer   ~66915

Else @gabrieljenik : see the new controllers : usage of Yii validation directly : really better on anything else.
But this dialog box is so awfull …
gabrieljenik

gabrieljenik

2021-10-22 17:47

manager   ~66916

Thanks!
gabrieljenik

gabrieljenik

2021-10-22 17:48

manager   ~66917

PR Master: https://github.com/LimeSurvey/LimeSurvey/pull/2113

Applying same recipe as in LTS
gabrieljenik

gabrieljenik

2021-11-01 16:15

manager   ~67033

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32846
gabrieljenik

gabrieljenik

2021-11-26 16:15

manager   ~67593

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33005

Related Changesets

LimeSurvey: master f12af286

2021-10-22 15:37:08

gabrieljenik

Details Diff
Fixed issue 17224: When entering an invalid email when create token : lost all information Affected Issues
17224
mod - application/views/admin/token/tokenform.php Diff File

LimeSurvey: master ab710108

2021-10-26 13:43:58

gabrieljenik

Details Diff
Fixed issue 17224: When entering an invalid email when create token : lost all information

- Add validation on participant edit
Affected Issues
17224
mod - assets/scripts/admin/tokens.js Diff File

LimeSurvey: master 941c7f04

2021-11-01 16:15:51

Ahmed Galad's


Committer: GitHub Details Diff
Merge pull request #2113 from gabrieljenik/bug/17224-master--When-entering-an-invalid-email-when-create-token---lost-all-information

Fixed issue 17224: When entering an invalid email when create token lost all information
Affected Issues
17224
mod - application/views/admin/token/tokenform.php Diff File
mod - assets/scripts/admin/tokens.js Diff File

LimeSurvey: 3.x-LTS 20801396

2021-11-26 16:15:38

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17224: When entering an invalid email when create token : lost all information (#2111)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17224
mod - application/views/admin/token/tokenform.php Diff File

Issue History

Date Modified Username Field Change
2021-04-01 17:03 DenisChenu New Issue
2021-04-01 17:03 DenisChenu File Added: Peek 01-04-2021 16-32.gif
2021-04-01 17:03 DenisChenu File Added: limesurvey_survey_tokenUsage.lss
2021-04-01 17:03 DenisChenu Relationship added related to 17223
2021-04-01 17:03 DenisChenu Relationship added related to 15712
2021-04-03 22:57 ollehar Priority none => normal
2021-10-07 12:44 Mazi Note Added: 66789
2021-10-07 12:44 Mazi Bug heat 0 => 2
2021-10-08 16:58 galads Assigned To => gabrieljenik
2021-10-08 16:58 galads Status new => assigned
2021-10-11 11:59 guest Bug heat 2 => 8
2021-10-12 15:12 gabrieljenik Note Added: 66836
2021-10-12 15:12 gabrieljenik Bug heat 8 => 10
2021-10-22 14:17 gabrieljenik Note Added: 66912
2021-10-22 17:13 DenisChenu Note Added: 66914
2021-10-22 17:13 DenisChenu Bug heat 10 => 12
2021-10-22 17:14 DenisChenu Note Added: 66915
2021-10-22 17:47 gabrieljenik Note Added: 66916
2021-10-22 17:48 gabrieljenik Note Added: 66917
2021-11-01 16:15 Changeset attached => LimeSurvey master 941c7f04
2021-11-01 16:15 gabrieljenik Changeset attached => LimeSurvey master ab710108
2021-11-01 16:15 gabrieljenik Changeset attached => LimeSurvey master f12af286
2021-11-01 16:15 gabrieljenik Note Added: 67033
2021-11-01 16:15 gabrieljenik Resolution open => fixed
2021-11-26 16:15 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 20801396
2021-11-26 16:15 gabrieljenik Note Added: 67593